package com.lightinit.hsdataplatformresdir.model.admin;

import com.lightinit.hsdataplatformresdir.entity.BaseExample;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

public class ContractSearchModel extends BaseExample{

    private String partnerName ;

    private String contractState ;

    private String contractNumber ;

    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date contractDateFrom ;

    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date contractDateTo ;

    private Long orgId ;

    public String getPartnerName() {
        return partnerName;
    }

    public void setPartnerName(String partnerName) {
        this.partnerName = partnerName;
    }

    public String getContractState() {
        return contractState;
    }

    public void setContractState(String contractState) {
        this.contractState = contractState;
    }

    public String getContractNumber() {
        return contractNumber;
    }

    public void setContractNumber(String contractNumber) {
        this.contractNumber = contractNumber;
    }

    public Date getContractDateFrom() {
        return contractDateFrom;
    }

    public void setContractDateFrom(Date contractDateFrom) {
        this.contractDateFrom = contractDateFrom;
    }

    public Date getContractDateTo() {
        return contractDateTo;
    }

    public void setContractDateTo(Date contractDateTo) {
        this.contractDateTo = contractDateTo;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }
}
